<template>
  <div class="cmain">
    <div class="bos">
      <el-form ref="platform" disabled :model="platform" label-width="120px">
        <el-form-item label="申请企业">
          <span class="pon" @click="info()">{{ param.companyName }}</span>
        </el-form-item>
        <el-form-item label="服务公司名称">
          <el-input v-model="platform.serviceCompany" />
        </el-form-item>
        <el-form-item label="开户行">
          <el-input v-model="platform.bankName" />
        </el-form-item>
        <el-form-item label="充值账户">
          <el-input v-model="platform.bankAccount" />
        </el-form-item>
      </el-form>
      <el-form ref="form" disabled :model="form" :rules="rules" label-width="120px">
        <el-form-item label="充值金额" prop="money">
          <el-input type="number" v-model="form.money">
            <template slot="append">元</template>
          </el-input>
        </el-form-item>
        <el-form-item label="充值凭证" prop="certificate">
          <ImageUpload v-model="form.certificate" :isShowTip="false" :limit="1" read></ImageUpload>
        </el-form-item>
        <div class="opp" v-if="form.updateTime">
          <span>操作人：{{ form.updateBy }}，</span>
          <span>操作时间：{{ form.updateTime }}</span>
        </div>
      </el-form>
      <el-alert title="充值成功" type="success" show-icon class="cg" v-if="form.state === 1"></el-alert>
      <el-alert title="充值失败" :description="form.msg" type="error" show-icon class="cg" v-if="form.state === 2" :closable="false"></el-alert>
    </div>
    <div class="mfooter" v-if="!param.detail">
      <el-button type="primary" @click="submitForm(1)">确 认</el-button>
      <el-button type="danger" @click="submitForm(2)">不通过</el-button>
      <el-button @click="$layer.close(layerid)">取 消</el-button>
    </div>
  </div>
</template>

<script>
  import company from '@/views/work/company/edit.vue';
  export default {
    data() {
      return {
        platform: {},
        form: {},
        rules: {}
      };
    },
    props: {
      param: {
        type: Object,
        default: () => {
          return {};
        }
      },
      layerid: {
        type: String
      }
    },
    mounted() {
      this.ajax({ url: '/work/platform/detail' }).then((response) => {
        this.platform = response.data;
      });
      if (this.param.id) {
        this.ajax({ url: '/work/recharge/detail/' + this.param.id }).then((response) => {
          this.form = response.data;
        });
      }
    },
    methods: {
      info() {
        this.iframe({ obj: company, param: { id: this.form.companyId, detail: true }, title: '企业信息', width: '60%', height: '75%' });
      },
      submitForm(state) {
        this.$refs['form'].validate((valid) => {
          if (valid) {
            this.$prompt(state == 1 ? '确认充值' + this.form.money + '元到 ' + this.param.companyName + ' 账户? 该操作不可撤销！' : '确认无效充值', {
              type: 'warning',
              showInput: state == 1 ? false : true,
              inputType: 'textarea',
              inputPlaceholder: '充值失败',
              inputValidator: (value) => {
                if (!value && state == 2) {
                  return '请输入充值失败原因';
                }
              }
            }).then(({ value }) => {
              this.post({ url: '/work/recharge/edit', data: { id: this.form.id, state: state, msg: value } }).then((response) => {
                this.$modal.msgSuccess('操作成功');
                this.$layer.close(this.layerid);
                this.$parent.getList();
              });
            });
          }
        });
      }
    }
  };
</script>
